Bug 450395

Summary: Loud clicks from speakers (snd_intel_8x0)
Product: [Fedora] Fedora Reporter: Valent Turkovic <valent.turkovic>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: lkundrak, naveed, pkgale, theholyettlz, wally
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 494729 (view as bug list) Environment:
Last Closed: 2010-06-28 06:39:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Valent Turkovic 2008-06-07 10:33:08 EDT
Description of problem:
I'm hearing really loud clicks on speakers when event some sound starts. If it
is a short sound I just hear the click and not the sound. For example when
clicking in gnome aplications menu to start some aplication.
If I start some video file I first hear that loud click and then audio starts to
play.

I also hear a click 2-3 seconds after the last sound is player.

So I hear these clicks when audio is "starting up" and when it is "shuting down"
it that is what I can call it.

Version-Release number of selected component (if applicable):
Latest Fedora 9 with all updates
pulseaudio 0.9.10

audio card is Intel 82801DB-ICH4

module that is used: snd_intel_8x0

laptop is: HP Compaq nx9030

How reproducible:
every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Naveed Hasan 2008-06-10 01:07:02 EDT
I am still using Fedora 8 and just upgraded from kernel-2.6.24.3-50 to
kernel-2.6.25.4-10 and now have really horrible sound problems which are most
likely pulseaudio / GROUP_SCHED related.

Nothing else on my system was upgraded except the kernel and now the audio
clicks on any new sound that is played after even the shortest silence. It also
skips and pops during any type of media playback. My system is also using the
snd_intel_8x0 module for audio and pulseaudio-0.9.8-5 has been installed all along.

Do you have any audio quality issues when playing music and movies in various
applications? I haven't been able to find one good working combination so far.
Comment 2 Naveed Hasan 2008-06-10 01:07:27 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=446192 is probably related.
Comment 3 Valent Turkovic 2008-06-12 04:36:27 EDT
Lennart is there some log that we can give you that would help track down this
issue?
Comment 4 Valent Turkovic 2008-06-12 04:38:20 EDT
@Naveed I'm not hearing any skipping once audio starts. It just click when sound
card starts to play and 2 seconds after it stops playing.
Comment 5 Naveed Hasan 2008-06-13 01:59:18 EDT
(In reply to comment #1)
> Do you have any audio quality issues when playing music and movies in various
> applications? I haven't been able to find one good working combination so far.

I have since upgraded to Fedora 9 and now have no skipping in the audio streams
I play, but now some apps have audio speed issues where the audio stream is
running too fast (by about 7% based on some testing.) swfdec is an example of
where this is happening - every youtube.com video I watch there has the A/V out
of sync.

The loud and annoying clicks are still present.
Comment 6 Valent Turkovic 2008-06-14 02:37:28 EDT
After the latest kernel and other updates I still hear the same bug...
Comment 7 Naveed Hasan 2008-06-16 13:47:31 EDT
With kernel-2.6.25.6-55.fc9 and everything else up to date, the noise on new
sounds after a silence period remain. One other thing I've noticed in many
different media players is that if I change the volume (within the media player)
while a stream is running, the sound cuts out completely. It only returns if I
pause and resume the stream.
Comment 8 Lennart Poettering 2008-06-17 13:37:25 EDT
PA closes the audio device 2s after becoming idle. I think you sound driver just
produces those popping noises everytime the audio device is opened/closed.
According to Takashi this shouldn't happen anymore these days.

I am now reassigning this to the kernel, since according to Takashi this can be
worked around in the kernel.
Comment 9 Valent Turkovic 2008-06-18 05:15:13 EDT
Takashi if you need some feedback and/or some logs just tell me and I'll provide
you all the info.
Comment 10 Valent Turkovic 2008-06-20 18:45:02 EDT
I have the latest kernel 2.6.25.6-55.fc9.i686 and I still hear clicks.
Comment 11 Naveed Hasan 2008-07-02 16:54:25 EDT
kernel-2.6.25.9-76.fc9.x86_64 continues to exhibit the reported bug.
Comment 12 James 2008-07-10 04:29:56 EDT
I've been seeing this for a long time on an Intel 8x0-based notebook. I get the
click whenever the driver loads (i.e., at the udev stage during boot), or the
device is opened/closed (including at shutdown), or I pull mains power and the
8x0 power saving mode starts. [I've also noticed it at boot on an ATI IXP-based
notebook, but that's likely unrelated.] I think the card seems to assume more of
a DC bias under Linux as well.
Comment 13 Adam Goode 2008-07-11 09:55:11 EDT
This happens on a Dell laptop I have, but not IBM Thinkpad. It is definitely the
sound of some internal chip powering up after having gone idle. The power
wasting solution would be to just power the chip at all times, but there must be
a better way to avoid the click.
Comment 14 James 2008-07-11 15:08:41 EDT
Hmm... what *codec* chip do you all have? Mine is a Realtek, don't know exactly
which one at the moment...
Comment 16 Naveed Hasan 2008-07-22 04:49:10 EDT
kernel-2.6.25.10-86.fc9 continues to exhibit the reported bug.
Comment 17 Naveed Hasan 2008-07-22 13:39:06 EDT
Adding

options snd-ac97-codec power_save=0

to /etc/modprobe.conf makes this problem go away on my desktop system. Clearly,
this is a suboptimal solution but since my machine does not run on a battery,
it's not that bad. I still don't understand what changed between Fedora 8 and 9
to cause this aggressive powersaving related clicking to start.
Comment 18 Chuck Ebbert 2008-07-25 19:22:58 EDT
Default set to 0 in 2.6.25.12-63.fc8  and  2.6.25.12-101.fc9
Comment 19 Fedora Update System 2008-08-04 09:43:43 EDT
kernel-2.6.25.14-107.fc9 has been submitted as an update for Fedora 9
Comment 20 Fedora Update System 2008-08-06 08:17:57 EDT
kernel-2.6.25.14-108.fc9 has been submitted as an update for Fedora 9
Comment 21 Fedora Update System 2008-08-07 19:52:48 EDT
kernel-2.6.25.14-108.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7043
Comment 22 Valent Turkovic 2008-08-09 10:27:31 EDT
it works for me. I installed testing kernel 2.6.25.14-108.fc9.i686 and removed modprobe.conf option that fixed it before this kernel.

I hear no clicks.

Thank you very much!
Comment 23 Fedora Update System 2008-08-12 14:19:49 EDT
kernel-2.6.25.14-108.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Bug Zapper 2009-06-09 21:28:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Valent Turkovic 2009-06-15 04:35:19 EDT
this is fixed, please close this bug.
Comment 26 Valent Turkovic 2009-06-15 12:23:25 EDT
Just to add an update. I installed Fedora 11 on HP Compaq nx9030 and the loud clicks are still an issue!

Can this be fixed so that it works out of the box?
Comment 27 Valent Turkovic 2009-06-15 12:39:29 EDT
This time even adding 

options snd-ac97-codec power_save=0

to /etc/modprobe.conf doesn't makes a difference, I still hear clicks ;(
Comment 28 Valent Turkovic 2009-06-22 07:50:02 EDT
Can I provide some more feedback so you can track down the issue more easily...
Comment 29 Walter Francis 2009-09-08 11:53:47 EDT
My F11 32 bit system started doing this over this weekend..  yum.log shows that alsa, pulse, and kernel updated so hard to say what's what....  The power_save=0 workaround has seemed to fix it for me, and I'm going to try the previous kernel to see what happens but I'm not sure why this has started popping when it never did before (except once during boot).  Was the power_save changed from 0 to 5, or is there something new which is causing the speakers to pop on initialization where they didn't before?  00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02) on a Dell M6400 laptop
Comment 30 Pete Gale 2009-09-14 14:58:14 EDT
After a yum update, my F11 x86_64 system did the same. The kernel, alsa and pulse RPMs were updated, so I'm in the same boat as Walter.

System info: Dell Latitude E6400 laptop

Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
Kernel modules: snd-hda-intel

Kernel: 2.6.30.5-43.fc11.x86_64 #1 SMP

Alsa:
alsa-lib-1.0.21-3.fc11.i586
alsa-lib-1.0.21-3.fc11.x86_64
alsa-lib-devel-1.0.21-3.fc11.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc11.x86_64
alsa-utils-1.0.21-2.fc11.x86_64

Pulse:
pulseaudio-0.9.15-17.fc11.x86_64
pulseaudio-esound-compat-0.9.15-17.fc11.x86_64
pulseaudio-libs-0.9.15-17.fc11.i586
pulseaudio-libs-0.9.15-17.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-17.fc11.x86_64
pulseaudio-libs-zeroconf-0.9.15-17.fc11.x86_64
pulseaudio-module-bluetooth-0.9.15-17.fc11.x86_64
pulseaudio-module-gconf-0.9.15-17.fc11.x86_64
pulseaudio-module-jack-0.9.15-17.fc11.x86_64
pulseaudio-module-lirc-0.9.15-17.fc11.x86_64
pulseaudio-module-x11-0.9.15-17.fc11.x86_64
pulseaudio-module-zeroconf-0.9.15-17.fc11.x86_64
pulseaudio-utils-0.9.15-17.fc11.x86_64
wine-pulseaudio-1.1.29-1.fc11.i586
xine-lib-pulseaudio-1.1.16.3-2.fc11.x86_64
xmms-pulse-0.9.4-7.fc11.x86_64
Comment 31 Walter Francis 2009-09-14 17:44:52 EDT
I had forgotten to add that I did some checking around this on the system where I was having the pops, and in fact the power_save option was 0 in previous kernels and 5 in the current kernel.  And in the previous kernel if I set the power_save to 5, I caused it to start popping too, so this is simply a matter of the power_save option in the snd_hda_intel module.  I saw somewhere, but apparently not in this bug, where power_save has flip-flopped a bit.  Some hardware it's fine, yet other hardware it causes pops.

Pete, does setting power_save to 0 fix it for you?  Create the following..

/etc/modprobe.d/snd_hda_intel.conf

And put the following in it:

options snd_hda_intel power_save=0

(or edit an existing entry for snd_hda_intel if you already have one for a model entry or other module options) and then reload the snd_hda_intel module and see if the popping goes away?  If Pulse is running you'll have to kill it or the module will be in use, or just reboot.
Comment 32 James 2009-09-14 18:20:49 EDT
This has just started on my notebook too, Intel HDA with Realtek ALC883 codec. Will see if power_save=0 helps...
Comment 33 Pete Gale 2009-09-14 19:00:24 EDT
Hi Walter,

Thanks for the quick feedback! (In hindsight, this is an obvious thing to try...)

I deleted /etc/modprobe.conf, followed your directions and rebooted just to be sure. So far, so good! If it starts back up again, I'll add another comment.
Comment 34 Valent Turkovic 2010-03-07 08:56:02 EST
This looks like a fixed bug. If it works for others please close it.
Comment 35 Pete Gale 2010-03-08 12:24:13 EST
Is it fixed in the code, or is the work-around documented in this bugzilla? Those are two very different things in my mind.

For me, this work-around continues to work - even after upgrading to FC12. It doesn't look like it's fixed yet though.
Comment 36 Bug Zapper 2010-04-27 08:06:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 37 Valent Turkovic 2010-05-06 10:04:14 EDT
I don't have this laptop anymore, so please close this bug.
Comment 38 Bug Zapper 2010-06-28 06:39:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.